## python-tooz 7.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

stevedore>=1.16.0 # Apache-2.0
voluptuous>=0.8.9 # BSD License
msgpack>=0.4.0 # Apache-2.0
fasteners>=0.7 # Apache-2.0
tenacity>=5.0.0 # Apache-2.0
futurist>=1.2.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
debtcollector>=3.0.0 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0

# Install dependencies for tooz so that autodoc works.
## consul
python-consul2>=0.0.16 # MIT License
## etcd
requests>=2.10.0 # Apache-2.0
## etcd3gw
etcd3gw>=0.1.0 # Apache-2.0
## zake
zake>=0.1.6 # Apache-2.0
## redis
redis>=3.1.0 # MIT
## postgresql
psycopg2>=2.5 # LGPL/ZPL
## mysql
PyMySQL>=0.6.2 # MIT License
## zookeeper
kazoo>=2.2 # Apache-2.0
## memcached
pymemcache>=1.2.9 # Apache 2.0 License
## ipc
sysv-ipc>=0.6.8 # BSD License
## kubernetes
sherlock>=0.4.1 # MIT License
kubernetes>=2.8.1 # Apache-2.0

=== debian/changelog ===
python-tooz (7.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 11:25:54 +0200

python-tooz (7.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-debtcollector as (build-)depends.
  * Add python3-sherlock as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Aug 2025 17:19:35 +0200

python-tooz (6.3.0-4) unstable; urgency=medium

  * Upgrade -doc to bootstrap 5 (Closes: #1088510).

 -- Thomas Goirand <zigo@debian.org>  Thu, 02 Jan 2025 11:59:21 +0100

python-tooz (6.3.0-3) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090626).

 -- Thomas Goirand <zigo@debian.org>  Wed, 18 Dec 2024 22:12:37 +0100

python-tooz (6.3.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:41:31 +0200

python-tooz (6.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 11:02:40 +0200

python-tooz (6.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Aug 2024 12:38:24 +0200

python-tooz (6.0.0-2) unstable; urgency=medium

  * Uploading to unstable.
  * Blacklist failing tests (mock issue):
    - TestMySQLDriver.test_parsing_blocking_settings
    - TestMySQLDriver.test_parsing_timeout_settings
    - TestAPI.test_lock_context_manager_acquire_argument

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Apr 2024 16:26:21 +0200

python-tooz (6.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Feb 2024 09:36:19 +0100

python-tooz (5.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Update build-depends for this release.
  * Drop Add-missing-coma-in-diagnostic_lines.append-call.patch applied
    upstream.

 -- Thomas Goirand <zigo@debian.org>  Mon, 26 Feb 2024 13:28:25 +0100

python-tooz (4.2.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 22:53:13 +0200

python-tooz (4.2.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 30 Aug 2023 11:40:55 +0200

python-tooz (3.1.0-5) unstable; urgency=medium

  * Cleans better (Closes: #1046924).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 11:22:37 +0200

python-tooz (3.1.0-4) unstable; urgency=medium

  * Add Add-missing-coma-in-diagnostic_lines.append-call.patch
    (Closes: #1040271).

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Aug 2023 11:41:51 +0200

=== debian/control ===
Source: python-tooz
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx,
Build-Depends-Indep:
 mariadb-server | mysql-server,
 memcached,
 net-tools,
 postgresql,
 postgresql-server-dev-all,
 python3-consul,
 python3-coverage,
 python3-ddt,
 python3-debtcollector,
 python3-etcd3gw,
 python3-eventlet,
 python3-fasteners,
 python3-fixtures,
 python3-futurist,
 python3-kazoo,
 python3-msgpack,
 python3-openstackdocstheme,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-psycopg2,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-sherlock,
 python3-stestr,
 python3-stevedore,
 python3-sysv-ipc,
 python3-tenacity,
 python3-testscenarios,
 python3-testtools,
 python3-voluptuous,
 python3-zake,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-tooz
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-tooz.git
Homepage: https://github.com/openstack/tooz
Testsuite: autopkgtest-pkg-python

Package: python-tooz-doc
Section: doc
Architecture: all
Depends:
 libjs-bootstrap5,
 libjs-jquery,
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: Coordination library for distributed systems. - doc
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the documentation.

Package: python3-tooz
Architecture: all
Depends:
 python3-debtcollector,
 python3-etcd3,
 python3-etcd3gw,
 python3-fasteners,
 python3-futurist,
 python3-grpcio,
 python3-kazoo,
 python3-msgpack,
 python3-oslo.serialization,
 python3-oslo.utils (>= 4.7.0),
 python3-pbr,
 python3-pymemcache,
 python3-pymysql,
 python3-redis,
 python3-requests,
 python3-stevedore,
 python3-tenacity,
 python3-voluptuous,
 python3-zake,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-sysv-ipc,
Description: coordination library for distributed systems - Python 3.x
 The Tooz project centralizes the most common distributed primitives like group
 membership protocol, lock service and leader election by providing a
 coordination API helping developers to build distributed applications.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/openstack/tooz.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr TEST_PID_MEMCACHE.pid .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	for i in $(PYTHON3S) ; do \
		python3 setup.py install -f --install-layout=deb --root=$(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
	$(CURDIR)/debian/check-memcached-runs
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test --no-py2 'tooz\.tests\.(?!(.*test_coordination\.TestAPI\.test_get_lock_multiple_coords.*|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_blocking_settings|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_timeout_settings|test_coordination\.TestAPI\.test_lock_context_manager_acquire_argument))'

	$(CURDIR)/debian/check-memcached-off
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source $(CURDIR)/debian/python-tooz-doc/usr/share/doc/python-tooz-doc/html
	dh_sphinxdoc
endif

## python-tooz 8.1.0

=== doc/requirements.txt ===
--- 
+++ 
@@ -9,8 +9,6 @@
 requests>=2.10.0 # Apache-2.0
 ## etcd3gw
 etcd3gw>=0.1.0 # Apache-2.0
-## zake
-zake>=0.1.6 # Apache-2.0
 ## redis
 redis>=3.1.0 # MIT
 ## postgresql

=== debian/changelog ===
python-tooz (8.1.0-1) experimental; urgency=medium

  [ Guillaume Boutry ]
  * New upstream release.
  * Added myself in copyright and uploaders.
  * d/p/display-message*.patch: refresh patch.

  [ Thomas Goirand ]
  * Cleans better.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 26 Feb 2026 11:49:46 +0100

python-tooz (7.0.0-3) unstable; urgency=medium

  * Add display-message-when-not-implemented.patch (Closes: #1123460).
  * Skip test: test_get_lock_serial_locking_two_lock_process().

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Dec 2025 09:31:25 +0100

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
 Uploaders:
  Thomas Goirand <zigo@debian.org>,
  Michal Arbet <michal.arbet@ultimum.io>,
+ Guillaume Boutry <guillaume.boutry@canonical.com>,
 Build-Depends:
  debhelper-compat (= 10),
  dh-python,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=pybuild --with python3,sphinxdoc
 
 override_dh_auto_clean:
-	rm -rf build .stestr TEST_PID_MEMCACHE.pid .stestr *.egg-info
+	rm -rf build .stestr TEST_PID_MEMCACHE.pid .stestr *.egg-info .pybuild
 	find . -iname '*.pyc' -delete
 	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done
 
@@ -21,8 +21,7 @@
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	chmod +x $(CURDIR)/debian/check-memcached-off $(CURDIR)/debian/check-memcached-runs
 	$(CURDIR)/debian/check-memcached-runs
-	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test --no-py2 'tooz\.tests\.(?!(.*test_coordination\.TestAPI\.test_get_lock_multiple_coords.*|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_blocking_settings|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_timeout_settings|test_coordination\.TestAPI\.test_lock_context_manager_acquire_argument))'
-
+	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages TOOZ_TEST_URL="ipc://" pkgos-dh_auto_test --no-py2 'tooz\.tests\.(?!(.*test_coordination\.TestAPI\.test_get_lock_multiple_coords.*|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_blocking_settings|drivers\.test_mysql\.TestMySQLDriver\.test_parsing_timeout_settings|test_coordination\.TestAPI\.test_lock_context_manager_acquire_argument|test_coordination\.TestAPI\.test_get_lock_serial_locking_two_lock_process))'
 	$(CURDIR)/debian/check-memcached-off
 endif
